{
  "name": "nexus-material-share",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint",
    "typecheck": "tsc --noEmit",
    "db:push": "prisma db push",
    "db:studio": "prisma studio",
    "db:seed": "prisma db seed",
    "postinstall": "prisma generate",
    "docker:push": "powershell -ExecutionPolicy Bypass -File ./scripts/push-docker.ps1"
  },
  "dependencies": {
    "@google/genai": "latest",
    "@prisma/client": "^5.10.0",
    "bcrypt": "^6.0.0",
    "formidable": "^3.5.4",
    "jsonwebtoken": "^9.0.2",
    "lucide-react": "^0.344.0",
    "mysql2": "^3.9.2",
    "next": "14.1.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "recharts": "^2.12.0"
  },
  "devDependencies": {
    "@types/bcrypt": "^6.0.0",
    "@types/jsonwebtoken": "^9.0.10",
    "@types/node": "^20.11.0",
    "@types/react": "^18.2.0",
    "@types/react-dom": "^18.2.0",
    "autoprefixer": "^10.4.22",
    "eslint": "^8.57.1",
    "eslint-config-next": "^14.1.0",
    "postcss": "^8.5.6",
    "prisma": "^5.10.0",
    "tailwindcss": "^3.4.1",
    "ts-node": "^10.9.2",
    "typescript": "^5.3.3"
  },
  "prisma": {
    "seed": "ts-node --compiler-options {\"module\":\"CommonJS\"} prisma/seed.ts"
  }
}
